> ## Documentation Index
> Fetch the complete documentation index at: https://developers.confiopagos.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List subscription plans

> List all subscription plans for a store



## OpenAPI

````yaml get /v1/stores/{store}/subscription-plans
openapi: 3.1.0
info:
  version: 1.0.0
  title: Confío public api
servers:
  - description: Production
    url: https://api.confiopagos.com
  - description: Development
    url: https://api.dev.confiopagos.com
security:
  - bearerAuth: []
paths:
  /v1/stores/{store}/subscription-plans:
    get:
      summary: List subscription plans
      description: List all subscription plans for a store
      parameters:
        - schema:
            type: string
            example: 01G65Z755AFWAKHE12NY0CQ9FH
          required: true
          name: store
          in: path
        - schema:
            type: string
            description: The maximum number of items to return. Default is 50, max is 1000.
            example: '20'
          required: false
          description: The maximum number of items to return. Default is 50, max is 1000.
          name: pageSize
          in: query
        - schema:
            type: string
            description: A page token received from a previous call for pagination.
          required: false
          description: A page token received from a previous call for pagination.
          name: pageToken
          in: query
      responses:
        '200':
          description: Successfully fetched subscription plans.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListSubscriptionPlansResponse'
components:
  schemas:
    ListSubscriptionPlansResponse:
      type: object
      properties:
        plans:
          type: array
          items:
            $ref: '#/components/schemas/SubscriptionPlan'
          description: List of subscription plans
        nextPageToken:
          type: string
          description: Token for retrieving the next page of results
      required:
        - plans
    SubscriptionPlan:
      type: object
      properties:
        name:
          type: string
          description: Subscription plan's resource name
          example: >-
            stores/01JNRRDZDPH40DB2YRW329BFXM/subscription-plans/01JNRVWWHH68E76V3TMFFT6GHJ
        displayName:
          type: string
          description: Display name of the plan
          example: Premium Monthly Plan
        description:
          type: string
          description: Plan description
          example: Access to all premium features
        amountCents:
          type: number
          description: Amount in cents
          example: 50000
        currencyCode:
          type: string
          description: Currency code
          example: COP
        billingCycleFrequency:
          type: string
          enum:
            - BILLING_FREQUENCY_UNSPECIFIED
            - MONTHLY
            - WEEKLY
          description: Billing cycle frequency
          example: MONTHLY
        billingCycleInterval:
          type: number
          description: Billing cycle interval
          example: 1
        trialPeriodDays:
          type: number
          description: Trial period in days
          example: 7
        status:
          type: string
          enum:
            - STATUS_UNSPECIFIED
            - ACTIVE
            - INACTIVE
            - ARCHIVED
          description: Plan status
          example: ACTIVE
        createTime:
          type: string
          description: Creation timestamp
          example: '2024-01-15T10:30:00Z'
        updateTime:
          type: string
          description: Last update timestamp
          example: '2024-01-15T10:30:00Z'
      required:
        - name
        - displayName
        - amountCents
        - currencyCode
        - billingCycleFrequency
        - billingCycleInterval
        - trialPeriodDays
        - status
        - createTime
        - updateTime
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````